Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Paul Eggert <[email-masked]>
Date: Wed, 27 Aug 2014 12:00:29 -0700

I found the following issues and installed what I hope are fixes as 
trunk bzr 117751.

First, the code should use wcscoll_t rather than uselocale, as uselocale 
modifies thread state and this is less robust; for example, it wasn't 
safe to call 'error' right after the first call to uselocale.

Second, if the locale is invalid, string-collate-lessp should throw an 
error, the same way it throws an error when the strings are invalid.